ドメイン履歴
特定の PIVX name に対して実行された操作 (登録や更新など) の履歴ログを取得します。
エンドポイント
POST https://indexer.pivx.name/v1.0/history/richard.pivx
パスパラメータ
| パラメータ | タイプ | 必須 | 説明 |
|---|---|---|---|
domain_name | string | はい | 履歴をクエリする PIVX ドメイン (例: richard.pivx)。 |
リクエスト本文
リクエストの本文は、次のパラメータを含む JSON オブジェクトである必要があります。
| パラメータ | タイプ | デフォルト | 説明 |
|---|---|---|---|
count | integer | なし | 1 つの応答で返される項目の最大数を制限します。 |
from_block_id | integer | なし | この特定のブロックの高さから始まる履歴ログを要求します。 |
order | string | desc | 履歴ログのソート順。受け入れられる値: asc または desc。 |
コード例
- cURL
- JavaScript
- Python
- PHP
curl -X POST https://indexer.pivx.name/v1.0/history/richard.pivx \
-H "Content-Type: application/json" \
-d '{
"count": 10,
"from_block_id": 5332579,
"order": "asc"
}'
const url = 'https://indexer.pivx.name/v1.0/history/richard.pivx';
const data = {
count: 10,
from_block_id: 5332579,
order: 'asc'
};
fetch(url, {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify(data)
})
.then(response => response.json())
.then(result => console.log(result))
.catch(error => console.error('Error:', error));
import requests
url = "https://indexer.pivx.name/v1.0/history/richard.pivx"
payload = {
"count": 10,
"from_block_id": 5332579,
"order": "asc"
}
headers = {
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
<?php
$url = 'https://indexer.pivx.name/v1.0/history/richard.pivx';
$data = [
'count' => 10,
'from_block_id' => 5332579,
'order' => 'asc'
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
$result = json_decode($response, true);
print_r($result);
応答例
{
"response": [
{
"domain_block_id": 5432577,
"target_address": "ps12qtzaw6x3dh35xuukrqgk06e9ffx8szg2n2huqncwjsnj3ajczmklqgcx97kn63vwlge6gj2cmn",
"owner_pubkey": "3757ee1a8b3f10353ca6edd47b66920392b02e323dca3f3edddb5de142079a53",
"domain_tx": "5c16fa577b95d76fd54b11d4076a0509f45bc468c6a69f9e8f524b4f98d76635",
"op": "REG",
"nonce": 1780049890835,
"price": 0
},
{
"domain_block_id": 5432579,
"target_address": "ps1a5dvcrw8k49tcmmsmfh2d5cthhamfrxue4h3ervww2z625qwyarcflpznaxlalwk7trkyxas4ln",
"owner_pubkey": "3757ee1a8b3f10353ca6edd47b66920392b02e323dca3f3edddb5de142079a53",
"domain_tx": "d39bb4aeb116449cfcd9a40ff5a437b5b6957a62531e3dcf170bccf62816edf7",
"op": "UPD",
"nonce": 1780050207591,
"price": 0
},
{
"domain_block_id": 5434368,
"target_address": "ps1a5dvcrw8k49tcmmsmfh2d5cthhamfrxue4h3ervww2z625qwyarcflpznaxlalwk7trkyxas4ln",
"owner_pubkey": "3aa7910fa98101312acadc381af1fa72157a9d8dcce6c62655c7b4e9a69e2b32",
"domain_tx": "15395cac30c9a5f82374b26f4c9214669c7f828abe54a35ded530609057fd662",
"op": "CHG",
"nonce": 1780160609750,
"price": 0
}
]
}
| フィールド | タイプ | 説明 |
|---|---|---|
domain_block_id | 整数 | オペレーションの PIVX block_id |
target_address | 文字列 | Shielded アドレスを解決する |
op | 文字列 | 名前 |
owner_pubkey | 文字列 | 名前所有者の公開鍵 |
domain_tx | 文字列 | 名前登録の PIVX tx_id |
nonce | 整数 | 操作のタイムスタンプを増やす |
price | 整数 | ドメインの販売価格 (LST または BUY の場合)、それ以外の場合は 0 |